// pages/invitees/invitees.js
import {
  post,
} from '../../utils/http';
import {
  trackUserEvent
} from '../../utils/util'
/**
 * 数据上报-被邀请者枚举类型
 */
const XEnum_Invitee_Type = 8

Page({

  /**
   * 页面的初始数据
   */
  data: {
    invite_id: 0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options, 'optionsoptions', options.q);
    if (options.q) {
      const queryAll = decodeURIComponent(options.q);
      const array = queryAll.split("=")
      // this.setData({
      //   invite_id: array[1]
      // })
      getApp().invite_id = array[1]
      console.log(getApp().invite_id, 'this.data.invite_id');
      return
    }
    if (options.invite_id) {
      console.log(options.invite_id,'options.invite_idoptions.invite_id');
      getApp().invite_id = options.invite_id
      // this.setData({
      //   invite_id: options.invite_id
      // })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  getReceive() {
    console.log( getApp().invite_id, 'this.data.invite_id');
    post('api/invite/receive', {
      invite_id:  getApp().invite_id
    }, (res) => {
      wx.navigateTo({
        url: '/pages/sucReception/sucReception',
      })
    })
    
    trackUserEvent(XEnum_Invitee_Type)
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})